@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΑΛΛΑΖΕΙ ΤΗΝ ΑΝΑΛΥΣΗ ΣΕ 540p [960x540] ΣΕ 1 ή ΠΕΡΙΣΣΌΤΕΡΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΠΟΥ ΤΑ ΒΑΖΕΤΕ 
REM ΩΣ ΟΡΙΣΜΑΤΑ Π.Χ. vid540pres 1video.mp4 2video.mov 3video.flv 4video.avi 7video.webm 
REM ΑΝ ΘΕΛΕΤΕ ΝΑ ΤΟ ΔΟΚΙΜΑΣΕΤΕ ΣΤΟΝ ΙΔΙΟ ΦΑΚΕΛΟ ΜΕ ΤΑ VIDEO ΣΑΣ ΑΠΟ ΤΟ OBS
REM ΑΦΑΙΡΕΣΤΕ ΤΑ 2 ΜΙΚΡΑ rem ΣΤΗΝ ΑΡΧΗ ΚΑΙ ΤΟ ΤΕΛΟΣ ΤΟΥ SCRIPT.
REM ΑΛΛΙΩΣ ΑΝ ΤΟ ΒΑΛΕΤΕ ΣΤΟΝ ΦΑΚΕΛΟ BIN TOY FFMPEG ΔΟΥΛΕΥΕΙ ΩΣ ΕΧΕΙ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

echo.
echo Μετατρέπω το "%~1" ..
echo.
call ffmpeg -v quiet -stats -loglevel error -i "%~1" -s 960x540 -c:a copy "%~p1%~n1-540p.%~x1"

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0